
\han{Notes: we have applied the ANC to a small section of Observing Run 2 data for now. The current plots show about one hour of data from LIGO Hanford and use a single witness channel. }

%We apply the ANC described in Sec.~\ref{sec:method} to a small selection of O2 data as a testing ground. 
%We test the algorithm on XX days of data (\han{currently about one hour}), using a single witness channel (\CSOneName). 
%The method is first applied to the Hanford observatory data and then to the same data with the addition of a continuous gravitational wave injection. 

\han{To do: add something about how long it takes to run. E.g. Our implementation of the ARLS is written in python and takes approximately XX seconds per XX seconds of data on a XXX computer}. 


\subsection{Initial results}

Figure~\ref{fig:resultM5} shows the ASD of the primary and filtered data in black and orange respectively using $M=5$.
We find that if $M$ is too small, the subtraction is not effective and if $M$ is too large, the ANC adds noise around the $60\,{\rm Hz}$ line (see Appendix). 
\han{think about a figure of merit for the amount of subtraction}

%\begin{figure*}
%\begin{center}
%\includegraphics[width=0.8\textwidth]{../notes/plots/orderTests/plots5/filteredASD-1166401536.pdf}
%\end{center}
%\caption{\label{fig:resultM5}
%Amplitude spectral density of the primary data (black) and the filtered result (orange) for the region around $60\,{\rm Hz}$.
%}
%\end{figure*}

The method as implemented here does not successfully remove harmonics of the $60\,{\rm Hz}$ line, although they are present in both the GW and PEM data.
This may be because the coupling of higher harmonics in the interferometer has a different delay to the line at $60\,{\rm Hz}$.  
A further problem is observed as ANC introduces some noise above and below harmonics as shown by the wider spectrum and residual displayed in Fig.~\ref{fig:ASDWide}. 
If the frequency range of interest is focused around the $60\,{\rm Hz}$ line (e.g. for a narrow band search), this should not impose a problem for CW searches.
\han{We have discussed bandpassing the data before the ANC.}
%However the addition of noise from any method is clearly not ideal and this is an area for future improvement. 

%\begin{figure*}
%\includegraphics[width=0.49\textwidth]{images/primFiltRef.png}%{../notes/plots/orderTests/plots5/primFiltRef_full-1166401536.pdf}
%\includegraphics[width=0.49\textwidth]{images/residual.png}%{../notes/plots/orderTests/plots5/residual-1166401536.pdf}
%\caption{\label{fig:ASDWide}
%Left: Wide frequency view of the ASD of the for the primary (top), reference (middle), and filtered (bottom) data. 
%Right: the absolute residual between the primary and the reference signal. 
%The grey lines indicate the harmonics of the $60\,{\rm Hz}$ line. 
%The largest residual is at $60\,{\rm Hz}$ as expected, however there are also peaks in the residuals above and below the frequency of the higher harmonics. 
%%\han{May be clearer to zoom in around one or two harmonics rather than the full spectrum.}
%}
%\end{figure*}




%\vspace{2em}
%\han{
%\noindent Some to dos:
%\begin{itemize}
%\item subtraction figure of merit
%\item add a paragraph on how long it takes to run
%\item Also run with an injection into real data
%\item Run for longer periods of data, maybe a couple of days? 
%\end{itemize}
%}


